Name: sugar-terminal-activity
Version: 47
Release: %mkrel 3
Summary: Terminal for Sugar
License: GPLv2+
Group: Graphical desktop/Other
Url: https://github.com/sugarlabs/terminal-activity
Source: https://github.com/sugarlabs/terminal-activity/archive/v%{version}.tar.gz
Patch0: sugar-terminal-v47-use-vte-291.patch
BuildArch: noarch
BuildRequires: gettext
BuildRequires: sugar-toolkit-gtk3
Requires: python-simplejson
Requires: sugar-toolkit-gtk3

%description
The terminal activity provides a vte-based terminal for the Sugar interface.

%prep
%autosetup -n terminal-activity-%{version}

pathfix.py -pnki '%{__python3} %{py3_shbang_opts}' setup.py

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}%{_prefix}

find %{buildroot} -name '*.py.orig' -delete

# drop %%{buildroot}
sed -i -e 's,%{buildroot},,g' %{buildroot}%{_datadir}/applications/org.laptop.Terminal.activity.desktop

%find_lang org.laptop.Terminal

%files -f org.laptop.Terminal.lang
%doc MAINTAINERS NEWS
%license COPYING
%{_datadir}/applications/org.laptop.Terminal.activity.desktop
%{_datadir}/sugar/activities/*


%changelog
* Sun Apr 26 2020 wally <wally> 47-3.mga8
+ Revision: 1572338
- fix typelib(Vte) requires
- remove %%buildroot from .desktop file

* Wed Mar 04 2020 zezinho <zezinho> 47-2.mga8
+ Revision: 1553591
- force use of vte290

* Tue Mar 03 2020 zezinho <zezinho> 47-1.mga8
+ Revision: 1553570
- new version
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Mar 13 2019 wally <wally> 46-1.mga7
+ Revision: 1375615
- new version 46

* Sun Feb 24 2019 wally <wally> 45.4-1.mga7
+ Revision: 1369949
- new version 45.4

* Fri Sep 21 2018 umeabot <umeabot> 45.2-2.mga7
+ Revision: 1291724
- Mageia 7 Mass Rebuild

* Sat Feb 03 2018 zezinho <zezinho> 45.2-1.mga7
+ Revision: 1198734
- fix tarball extraction path
- new version 45.2 -new upstream

* Tue Nov 07 2017 zezinho <zezinho> 45.1-1.mga7
+ Revision: 1176357
- new version 45

* Fri Jun 09 2017 akien <akien> 44-2.mga6
+ Revision: 1107401
- Add desktop file

* Mon Jan 18 2016 zezinho <zezinho> 44-1.mga6
+ Revision: 925340
- new version

* Wed Oct 15 2014 umeabot <umeabot> 42-3.mga5
+ Revision: 746363
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 42-2.mga5
+ Revision: 689600
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 42-1.mga5
+ Revision: 627357
- new version

* Sat Nov 02 2013 fwang <fwang> 41-4.mga4
+ Revision: 549019
- cleanup requires

* Fri Oct 18 2013 umeabot <umeabot> 41-3.mga4
+ Revision: 519361
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 41-2.mga3
+ Revision: 383696
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 41-1.mga3
+ Revision: 326184
- fix build requires
- new version

* Wed Nov 21 2012 zezinho <zezinho> 36-1.mga3
+ Revision: 320141
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 35-1.mga2
+ Revision: 169549
- new version
+ ennael <ennael>
- imported package sugar-terminal-activity


* Mon Oct 12 2009 Aleksey Lim <alsroot@mandriva.org> 28-1mdv2010.0
+ Revision: 456981
- Push 28

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 27-1mdv2010.0
+ Revision: 449009
- Update to 27

* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 26-1mdv2010.0
+ Revision: 444549
- Update to 26

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 25-1mdv2009.1
+ Revision: 364291
- Sucrose 0.84.2 release

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 23-1mdv2009.1
+ Revision: 348321
- Sucrose 0.84.0 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 21-1mdv2009.1
+ Revision: 328411
- initial commit

